h1{
    font-size: 30px;
    margin: 2.5vw 0 3.5vw;
    text-align: center;
}

@media(max-width: 500px){
    h1{
        font-size: 20px;
        margin: 30px 0;
        text-align: left;
    }
}

.tiles_children_wrapper {
    width: 100%;
    margin-bottom: 10vw;
}

.a_tile {
    display: block;
    position: relative;
    transition: 0.3s ease;
}


.a_tile::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #FFFFC9;
    z-index: 4;
    opacity: 0;
    transition: .3s ease;
}

.a_tile:hover::before {
    opacity: 1;
}

.a_tile:hover .tile_content {
    background-color: transparent;
    transition: 1s ease;
}

.a_tile:hover .tile_content>h2 {
    color: #AD83FF;
}

.a_tile:hover .tile_content>p {
    opacity: 1;
}


.tile_content {
    position: relative;
    z-index: 4;
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 70%;
    width: 87%;
    transition: 0s;
}

.tile_content h2 {
    font-family: "Ony One";
    font-weight: 500;
    color: #000000;
    font-size: 1.6vw;
    line-height: 100%;
    letter-spacing: 0%;
    vertical-align: middle;
    transition: 0.2s ease;
    margin-left: 18%;
    margin-bottom: 1vw;
}

.tile_content p {
    font-family: "Ony One";
    font-weight: 400;
    font-size: max(12px, 1vw);
    line-height: 100%;
    letter-spacing: 0%;
    color: #000000;
    margin: 0;
    margin-left: 18%;
    opacity: 0;
    transition: .3s ease;
}

.tiles_children_grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 2vw;
    margin: 0 auto;
    width: 100%;
}

.tile {
    position: relative;
    min-height: 156px;
    height: 16.45vw;
    background-color: #F2F2F2;
    overflow: hidden;
    display: flex;
    justify-content: right;
    align-items: center;
}

.a_tile:nth-child(11n+1),
.a_tile:nth-child(11n+2),
.a_tile:nth-child(11n+3),
.a_tile:nth-child(11n+4) {
    grid-column: span 3;
}

.a_tile:nth-child(11n+5),
.a_tile:nth-child(11n+6),
.a_tile:nth-child(11n+7) {
    grid-column: span 4;
}

.a_tile:nth-child(11n+8),
.a_tile:nth-child(11n+9),
.a_tile:nth-child(11n+10),
.a_tile:nth-child(11n+11) {
    grid-column: span 3;
}

.tile .right {
    position: absolute;
    right: 0;
    top: 0;
    width: 6vw;
    height: 100%;
    z-index: 1;
}

.tile .right>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    user-select: none;
}

.a_tile:nth-child(11n+5) .right,
.a_tile:nth-child(11n+6) .right,
.a_tile:nth-child(11n+7) .right {
    width: 35%;
}

.a_tile:nth-child(11n+5) .right>img,
.a_tile:nth-child(11n+6) .right>img,
.a_tile:nth-child(11n+7) .right>img {
    object-position: 30% 0%;
    transform: scale(1.3);
}


.a_tile:nth-child(11n+1) .right,
.a_tile:nth-child(11n+3) .right,
.a_tile:nth-child(11n+8) .right,
.a_tile:nth-child(11n+10) .right {
    width: 30%;
    top: -30%
}

.a_tile:nth-child(11n+2) .right,
.a_tile:nth-child(11n+4) .right,
.a_tile:nth-child(11n+9) .right,
.a_tile:nth-child(11n+11) .right {
    width: 20%;
}

.tile .violet {
    position: absolute;
    left: 0;
    top: 100%;
    transform: translateY(-50%);
    width: 30%;
    height: 100%;
    background-color: #E9DCFF;
    /*#E9DCFF #*/
    z-index: 1;
}

.a_tile:nth-child(11n+1) .violet,
.a_tile:nth-child(11n+3) .violet,
.a_tile:nth-child(11n+8) .violet,
.a_tile:nth-child(11n+10) .violet {
    width: 60%;
    height: 90%;
    top: 85%;
}

.a_tile:nth-child(11n+5) .violet,
.a_tile:nth-child(11n+6) .violet,
.a_tile:nth-child(11n+7) .violet {
    width: 35%;
    height: 90%;
    top: 70%;
}

.a_tile:nth-child(11n+2) .violet,
.a_tile:nth-child(11n+4) .violet,
.a_tile:nth-child(11n+9) .violet,
.a_tile:nth-child(11n+11) .violet {
    width: 40%;
    height: 90%;
    top: 70%;
}


/* Цветок в левом нижнем углу */
.tile .flower {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 20%;
    height: 40%;
    z-index: 5;
    overflow: hidden;
    transition: .2s ease;
}

.tile .flower>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
    object-position: 50% 10%;
    user-select: none;
}

.a_tile:hover .flower {
    opacity: 0;
}

/* Стили цветков */

.a_tile:nth-child(11n+1) .flower {
    width: 30%;
}

.a_tile:nth-child(11n+1) .flower>img {
    object-position: 50% 5%;
    transform: scale(1.2);
}

.a_tile:nth-child(11n+2) .flower {
    width: 26%;
    height: 35%;
}

.a_tile:nth-child(11n+2) .flower>img {
    object-position: 50% 20%;
}

.a_tile:nth-child(11n+3) .flower {
    width: 22%;
}

.a_tile:nth-child(11n+3) .flower>img {
    transform: scaleX(-1);
}

.a_tile:nth-child(11n+4) .flower {
    width: 23%;
}

.a_tile:nth-child(11n+4) .flower>img {
    object-position: 0px 0%;
    transform: scale(1.3);
}

.a_tile:nth-child(11n+5) .flower {
    width: 18%;
}

.a_tile:nth-child(11n+5) .flower>img {
    object-position: 20% 0;
    transform: scale(1.3);
}

.a_tile:nth-child(11n+6) .flower {
    width: 18%;
    height: 35%;
}

.a_tile:nth-child(11n+6) .flower>img {
    object-position: 0 25%;
}

.a_tile:nth-child(11n+7) .flower {
    width: 16%;
}

.a_tile:nth-child(11n+8) .flower {
    width: 24%;
}

.a_tile:nth-child(11n+8) .flower>img {
    object-position: 100% 10%;
    transform: scale(1.1);
}

.a_tile:nth-child(11n+9) .flower {
    width: 25%;
}

.a_tile:nth-child(11n+9) .flower>img {
    transform: scale(1.2);
}

.a_tile:nth-child(11n+10) .flower {
    width: 25%;
    height: 45%;
}

.a_tile:nth-child(11n+10) .flower>img {
    scale: 1.2;
}

.a_tile:nth-child(11n) .flower {
    width: 25%;
    height: 38%;
}

.a_tile:nth-child(11n) .flower>img {
    transform: scaleX(-1);
    object-position: 50% 30%;
}

@media(max-width:900px) {
    .tile_content>p {
        display: none;
    }
    .tile_content>h2{
        font-size: 2.1vw;
    }
}

@media (max-width: 500px) {
    .tiles_children_grid {
        display: flex;
        flex-direction: column;
        gap: 4vw;
    }

    .tile {
        width: 100%;
        height: 70vw;
    }

    .a_tile::before {
        background: transparent;
    }

    .a_tile:hover::before {
        opacity: 0;
    }

    .a_tile:hover .tile_content {
        background-color: white;
        transition: none;
    }

    .a_tile:hover .tile_content>h2 {
        color: #000000;
    }

    .a_tile:hover .tile_content>p {
        opacity: 0;
    }


    .a_tile:hover .flower {
        opacity: 1;
    }

    .a_tile:nth-child(11n+5) .right,
    .a_tile:nth-child(11n+6) .right,
    .a_tile:nth-child(11n+7) .right {
        width: 10%;
    }
    .tile_content>h2{
        font-size: 18px;
    }
}

@media (max-width: 340px) {
    .tile_content h2 {
        font-size: 18px;
    }
}